Subject: [ietf-dkim] Issue with threats-02: 1.1 Terminology and Model - SMTP != POP

From: "Hector Santos" <[email-masked]>
Date: Wed, 5 Apr 2006 21:48:04 -0400

Sorry, I press the stupid send key by accident while typing the last
message.

| 1.  Terminology and Model
|
| ...
|
|   DKIM operates entirely on the content (body and selected header
|   fields) of the message, as defined in RFC 2822 [RFC2822].  The
|   transmission of messages via SMTP, defined in RFC 2821 [RFC2821], and
|   such elements as the envelope-from and envelope-to addresses and the
|   HELO domain are not relevant to DKIM verification.  This is an
|   intentional decision made to allow verification of messages via
|   protocols other than SMTP, such as POP [RFC1939] and IMAP [RFC3501]
|   which an MUA acting as a verifier might use.

The prior sentence talks about transmission such as SMTP. POP is not SMTP.

My suggested change in text is:

    This is an intentional decision made to allow verification
    of messages received by an AU via other mail submission protocols
    other than SMTP, such as IMAP [RFC3501], HTTP [???],  including
    during the mail pickup process with POP, IMAP as well
    at the MUA endpoint acting as a verifier.

--
Hector Santos, Santronics Software, Inc.
http://www.santronics.com

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Stephen Farrell <[email-masked]>
Date: Thu, 06 Apr 2006 08:27:46 +0100

Hi Hector,

Given that the WG is done with the threats draft I think we can
let the document editor handle these two suggestions whenever
there's a need to edit the document again, i.e. I don't think we
need to discuss them on the list.

Of course, we should all now be reading/commenting the base
draft, so's we can start a WG last call on that next month.

Cheers,
Stephen.